package cz.cvut.fel.omo.hw.functions.statistics;

import cz.cvut.fel.omo.hw.functions.data.model.Candidates;
import java.util.Map;
import java.util.concurrent.CompletableFuture;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class CandidateStatisticsImpl implements CandidateStatistics {

    private final CompletableFuture<Candidates> candidates;

    @Override
    public double getAverageAge() {
        // TODO Homework
        return 0.0;
    }

    @Override
    public String getOldestCandidateName() {
        // TODO Homework
        return null;
    }

    @Override
    public Map<String, Integer> getCandidateAgeMap() {
        // TODO Homework
        return null;
    }
}
